import Vue from "vue"
let prototype = Vue.prototype;

export default {
    orderTypeText(listType, orderType) {
        switch (listType) {
            case "t1": return ["购买服务", "#3ABCF6"];
            case "t2":
                if (orderType == 2) {
                    return ["报价"];
                }
                return ["一口价", "#3ABCF6"];
            case "t3": return ["货运", "#628BE7"];
        }
    },
    /**
     * 获取列表
     */
    getList(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    let list = [];

                    if (options.listType == "t1" || options.listType == "t2") {
                        response.data.forEach(item => {
                            list.push({
                                listType: options.listType,
                                id: item.id,
                                orderId: item.order,
                                username: "用户名称",
                                cate: "待返数据",
                                content: item.desc,
                                createTime: item.time,
                                serviceTime: item.times,
                                orderType: item.types,
                                state: item.status,
                                price: item.money,
                            });
                        });
                    } else if (options.listType == "t3") {
                        response.data.forEach(item => {
                            list.push({
                                listType: options.listType,
                                id: item.id,
                                orderId: item.order,
                                username: "用户名称",
                                cate: "待返数据",
                                content: "",
                                createTime: item.times,
                                serviceTime: item.starttime,
                                orderType: 1,
                                state: item.status,
                                price: item.money,
                            });
                        });
                    }
                    return resolve(list);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 获取详情
     */
    getDetail(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    return resolve(response.data);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 完成订单
     */
    finishOrder(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    return resolve(response);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    }
}
